import { BuilderService } from '../../services/builder.service';
import { ApiService } from '@dotgov/core';
export declare class BuilderComponent {
    private builder;
    private api;
    modalTitle: string;
    modalClass: string;
    showModal: any;
    form: any;
    availableModels: any;
    private _fieldCollection;
    private _url;
    constructor(builder: BuilderService, api: ApiService);
    closeModal(): void;
    onSave({models, task}: {
        models: any;
        task: any;
    }): void;
    readonly options: {};
    readonly modelUrl: any;
    readonly formUrl: any;
    private loadForm();
}
